Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451826 - monodevelop crash on project open
Summary: monodevelop crash on project open
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: monodevelop
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 17:22 UTC by Stefan Jensen
Modified: 2008-11-29 14:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-29 14:38:47 UTC


Attachments (Terms of Use)

Description Stefan Jensen 2008-06-17 17:22:54 UTC
Description of problem:

monodevelop crash when open a project via "File -> Open"
while open the same project file via the Welcomepage works fine.

Version-Release number of selected component (if applicable):

monodevelop-0.13.1-1.fc7

How reproducible:

Always

Steps to Reproduce:
1. start monodevelop
2. create a new c#,gtk2# project
3. save or close it, than reopen it via File -> Open

Actual results:

monodevelop crashed

Expected results:

monodevelop open the project file

Additional info:

==> ~/.xsession-errors <==
Error: did not find one of the files in sources//usr/lib/monodoc/sources/monoapi

Exception iGtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle
the exception.
GLib.MissingIntPtrCtorException: GLib.Object subclass
MonoDevelop.Ide.Gui.Dialogs.FileSelectorDialog must provide a protected or
public IntPtr ctor to support wrapping of native object handles.
  at GLib.ObjectManager.CreateObject (IntPtr raw) [0x00000] 
  at GLib.Object.GetObject (IntPtr o, Boolean owned_ref) [0x00000] 
  at GLib.ListBase.DataMarshal (IntPtr data) [0x00000] 
  at GLib.ListBase+ListEnumerator.get_Current () [0x00000] 
  at GLib.ListBase.CopyTo (System.Array array, Int32 index) [0x00000] 
  at GLib.Marshaller.ListToArray (GLib.ListBase list, System.Type type) [0x00000] 
  at Gtk.Window.ListToplevels () [0x00000] 
  at MonoDevelop.Components.Commands.CommandManager.GetActiveWidget (Gtk.Window
win) [0x00000] 
  at MonoDevelop.Components.Commands.CommandManager.UpdateToolbars () [0x00000] 
  at MonoDevelop.Components.Commands.CommandManager.UpdateStatus () [0x00000] 
  at GLib.Timeout+TimeoutProxy.Handler () [0x00000] 
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean
is_terminal)
   at GLib.Timeout+TimeoutProxy.Handler()
   at GLib.Timeout+TimeoutProxy.Handler()
   at Gtk.Application.gtk_main()
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at MonoDevelop.Ide.Gui.IdeApp.Run()
   at MonoDevelop.Ide.Gui.IdeStartup.Run(System.String[] args)
   at MonoDevelop.Core.AddIns.AddInService.StartApplication(System.String
addinId, System.String[] parameters)
   at MonoDevelop.Startup.SharpDevelopMain.Main(System.String[] args)

Comment 1 Paul F. Johnson 2008-07-08 18:00:51 UTC
Yep, you need to install monodoc as well by the looks of it. I'll have a go at
building it again with this dep fixed

Comment 2 Stefan Jensen 2008-07-08 18:57:09 UTC
I had installed monodoc, but still same error

$ rpm -qa | grep mono

mono-web-1.2.5.1-3.fc8
mono-addins-0.3-4.fc8
monodevelop-0.13.1-1.fc7
mono-data-postgresql-1.2.5.1-3.fc8
mono-data-sqlite-1.2.5.1-3.fc8
mono-data-1.2.5.1-3.fc8
mono-nunit-1.2.5.1-3.fc8
mono-data-oracle-1.2.5.1-3.fc8
mono-core-1.2.5.1-3.fc8
mono-winforms-1.2.5.1-3.fc8
mono-data-sybase-1.2.5.1-3.fc8
mono-extras-1.2.5.1-3.fc8
monodoc-1.2.3-1.fc7


Comment 3 Paul F. Johnson 2008-09-18 13:01:41 UTC
Can you try with the version in f9 and see if you get the same hangup?

Comment 4 Bug Zapper 2008-11-26 10:53:17 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Paul F. Johnson 2008-11-29 14:38:47 UTC
Please update to F9. F8 is due to explode soon and it would be a huge amount of work to get Mono in f8 upto a version capable of running MD 1.0. Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.